## Pusher Push Notifications Ruby SDK
[![Gem Version](https://badge.fury.io/rb/pusher-notifications-ruby.svg)](https://rubygems.org/gems/ppusher-notifications-ruby)
[![Build Status](https://travis-ci.org/matisoffn/pusher-notifications-ruby.svg)](https://travis-ci.org/lostisland/pusher-notifications-ruby)

Full documentation for the API can be found [here](https://docs.pusher.com/push-notifications/reference/publish-api)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'pusher_notifications_ruby'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install pusher-notifications-ruby

## Usage

### Configuring the SDK for Your Instance
Use your instance id and secret (you can get these from the [dashboard](https://dash.pusher.com)) to create a PushNotifications instance:
```ruby
PusherNotification.config = {
  instance_id: 'YOUR_INSTANCE_ID_HERE',
  secret_key: 'YOUR_SECRET_KEY_HERE'
}
```

### Publishing a Notification
Once you have created your PushNotifications instance you can publish a push notification to your registered & subscribed devices:
```ruby
PusherNotification.publish(
  interests: ['hello'],
  apns: {
    aps: {
      alert: {
        body: 'Body of push notification.'
      }
    }
  }
)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/pusher-notifications-ruby. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Pusher::Notifications::Ruby project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/pusher-notifications-ruby/blob/master/CODE_OF_CONDUCT.md).
